Subject: bug#39929: coreutils-8.32 fails to build on aarch64

From: Paul Eggert <[email-masked]>
Date: Thu, 5 Mar 2020 13:43:09 -0800

On 3/5/20 9:39 AM, Pádraig Brady wrote:
> Ah well.
> Does the attached address this for you.

Eeeuw.

Why is this code even there at all? If readdir(3) says that the current 
directory has no entries, shouldn't 'ls' just say that? Why should ls 
report an error simply because the current directory isn't reachable 
from the filesystem? Whether the current directory is unreachable has 
nothing to do with ls's job, which is to report whether the current 
directory has entries.